import 'dart:developer';

import 'package:example/app/app.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support/healthrian_ble_support.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

class CardioClickPage extends StatelessWidget {
  const CardioClickPage({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        /// Body
        body: ListView(
          children: const [
            Row(
              children: [
                /// connection
                ConnectionStateCardioClick(),

                /// Heart beat
                EcgHeartbeatCardioClick(),

                /// Tap
                // TapCardioClick(),
              ],
            ),

            Row(
              children: [
                // LeadStateCardioClick(),
                BatteryLevelCardioClick(),
              ],
            ),

            /// Ecg holter view
            EcgCardioClick(),
          ],
        ),

        /// Control panel
        floatingActionButton: const ControlPanelCardioClick(),

        /// Navigation
        bottomNavigationBar: const Navigation(selected: 1),
      ),
    );
  }
}

class TapCardioClick extends StatelessWidget {
  const TapCardioClick({super.key});

  @override
  Widget build(BuildContext context) {
    return Observer(
      key: UniqueKey(),
      builder: (context) {
        return StreamBuilder(
          stream: BLEManager().manageCardioClick.streams.tapButtonStream,
          builder: (context, snapshot) {
            log('message: physical button is pressed'
                ' ${snapshot.data}');
            return Text(snapshot.data.toString());
          },
        );
      },
    );
  }
}
