import 'package:example/app/app.dart';
import 'package:flutter/material.dart';

class Navigation extends StatelessWidget {
  const Navigation({
    super.key,
    required this.selected,
  });

  final int selected;

  @override
  Widget build(BuildContext context) {
    return BottomNavigationBar(
      currentIndex: selected,
      onTap: (index) {
        final routes = [
          const WearEcgPage(),
          const CardioClickPage(),
          const WearCardioTPage(),
        ];

        Navigator.of(context).pushReplacement(
          MaterialPageRoute<void>(
            builder: (context) => routes[index],
          ),
        );
      },
      items: const [
        BottomNavigationBarItem(
          icon: Icon(Icons.device_unknown_rounded),
          label: 'WearEcg12',
        ),
        BottomNavigationBarItem(
          icon: Icon(Icons.device_unknown_rounded),
          label: 'CardioClick',
        ),
        BottomNavigationBarItem(
          icon: Icon(Icons.device_unknown_rounded),
          label: 'WearCardioT',
        ),
      ],
    );
  }
}
