import 'dart:developer';

import 'package:example/app/app.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support/healthrian_ble_support.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

class WearEcgPage extends StatelessWidget {
  const WearEcgPage({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        /// Body
        body: ListView(
          children: const [
            Row(
              children: [
                /// connection
                ConnectionStateWearEcg(),

                /// Heart beat
                EcgHeartbeatWearEcg(),

                /// Tap
                TapWearEcg(),
              ],
            ),

            Row(
              children: [
                LeadStateWearEcg(),
                BatteryLevelWearEcg(),
              ],
            ),

            /// Ecg holter view
            EcgWearECG(),
          ],
        ),

        /// Control panel
        floatingActionButton: const ControlPanelWearEcg(),

        /// Navigation
        bottomNavigationBar: const Navigation(selected: 0),
      ),
    );
  }
}

class TapWearEcg extends StatelessWidget {
  const TapWearEcg({super.key});

  @override
  Widget build(BuildContext context) {
    return Observer(
      key: UniqueKey(),
      builder: (context) {
        return StreamBuilder(
          stream: BLEManager().manageWearEcg12.streams.tapButtonStream,
          builder: (context, snapshot) {
            log('message: physical button is pressed'
                ' ${snapshot.data}');
            return Text(snapshot.data.toString());
          },
        );
      },
    );
  }
}
